Subject: Re: [PATCH] date.c: allow ISO 8601 reduced precision times

From: Junio C Hamano <[email-masked]>
Date: Mon, 09 Jan 2023 18:16:15 +0900

Junio C Hamano <[email-masked]> writes:

> Phil Hord <[email-masked]> writes:
>
>> Do you have any suggestions about how I can better alleviate your
>> concerns?  I don't think there are real regressions here and I tried
>> to explain why.
>
> Other than "including it in a released version and waiting for
> people to scream", I do not think there is.  The "next" branch was
> meant to be a test ground for these new features by letting
> volunteer users to use it in their everyday development, and the
> hope was that we can catch regressions by cooking risky topics
> longer than usual in there, but we haven't been very successful, I
> have to say.
>
> Thanks.  Let's queue it and see what happens.

Actually, let's not queue it as-is, because it seems to break many
tests for me.  I won't have time to take further look myself before
later in the week when I come back online again, though.

Test Summary Report
-------------------
t4255-am-submodule.sh                            (Wstat: 256 (exited 1) Tests: 33 Failed: 22)
  Failed tests:  1-6, 11-13, 15-20, 25-27, 30-33
  Non-zero exit status: 1
t4150-am.sh                                      (Wstat: 256 (exited 1) Tests: 87 Failed: 62)
  Failed tests:  3, 5-7, 11-13, 15-16, 18-22, 24-25, 27-32
                34-36, 38-46, 48, 50-52, 54, 57-61, 63-65
                67-77, 82-85
  Non-zero exit status: 1
t4014-format-patch.sh                            (Wstat: 256 (exited 1) Tests: 193 Failed: 20)
  Failed tests:  6-7, 10, 141-157
  Non-zero exit status: 1
t7512-status-help.sh                             (Wstat: 256 (exited 1) Tests: 44 Failed: 1)
  Failed test:  26
  Non-zero exit status: 1
t3901-i18n-patch.sh                              (Wstat: 256 (exited 1) Tests: 20 Failed: 5)
  Failed tests:  16-20
  Non-zero exit status: 1
t4151-am-abort.sh                                (Wstat: 256 (exited 1) Tests: 20 Failed: 7)
  Failed tests:  2-3, 5-6, 15, 19-20
  Non-zero exit status: 1
t4153-am-resume-override-opts.sh                 (Wstat: 256 (exited 1) Tests: 5 Failed: 2)
  Failed tests:  3-4
  Non-zero exit status: 1
t5607-clone-bundle.sh                            (Wstat: 256 (exited 1) Tests: 14 Failed: 1)
  Failed test:  3
  Non-zero exit status: 1
t4152-am-subjects.sh                             (Wstat: 256 (exited 1) Tests: 13 Failed: 9)
  Failed tests:  5-13
  Non-zero exit status: 1
t4253-am-keep-cr-dos.sh                          (Wstat: 256 (exited 1) Tests: 7 Failed: 4)
  Failed tests:  3-4, 6-7
  Non-zero exit status: 1
t4257-am-interactive.sh                          (Wstat: 256 (exited 1) Tests: 4 Failed: 3)
  Failed tests:  2-4
  Non-zero exit status: 1
t4258-am-quoted-cr.sh                            (Wstat: 256 (exited 1) Tests: 4 Failed: 2)
  Failed tests:  3-4
  Non-zero exit status: 1
t4254-am-corrupt.sh                              (Wstat: 256 (exited 1) Tests: 4 Failed: 1)
  Failed test:  3
  Non-zero exit status: 1
t0023-crlf-am.sh                                 (Wstat: 256 (exited 1) Tests: 2 Failed: 1)
  Failed test:  2
  Non-zero exit status: 1
t4256-am-format-flowed.sh                        (Wstat: 256 (exited 1) Tests: 2 Failed: 1)
  Failed test:  2
  Non-zero exit status: 1
Files=987, Tests=28346, 137 wallclock secs (12.84 usr  4.19 sys + 799.53 cusr 1017.07 csys = 1833.63 CPU)
Result: FAIL
gmake[1]: *** [Makefile:62: prove] Error 1
gmake[1]: Leaving directory '/home/gitster/w/buildfarm/seen/t'
gmake: *** [Makefile:3196: test] Error 2
rmdir: failed to remove '/dev/shm/testpen.2086794': Directory not empty